Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Friends
ELIST2_LINK Class Reference

`#include <elst2.h>`

Inheritance diagram for ELIST2_LINK:

List of all members.

## Public Member Functions

| ELIST2_LINK ()
| ELIST2_LINK (const ELIST2_LINK &)
void | operator= (const ELIST2_LINK &)

## Friends

class | ELIST2_ITERATOR
class | ELIST2

## Detailed Description

Definition at line 58 of file elst2.h.

## Constructor & Destructor Documentation

ELIST2_LINK::ELIST2_LINK | ( |  | ) |

inline

Definition at line 67 of file elst2.h.

{ //constructor
prev = next = NULL;
}

ELIST2_LINK::ELIST2_LINK | ( | const ELIST2_LINK & |  | ) |

inline

Definition at line 71 of file elst2.h.

{ //dont copy link
prev = next = NULL;
}

## Member Function Documentation

void ELIST2_LINK::operator= | ( | const ELIST2_LINK & |  | ) |

inline

Definition at line 76 of file elst2.h.

{
prev = next = NULL;
}

## Friends And Related Function Documentation

friend class ELIST2

friend

Definition at line 61 of file elst2.h.

friend class ELIST2_ITERATOR

friend

Definition at line 60 of file elst2.h.

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/ccutil/elst2.h